GET Api/External/{culture}/Inspection/{id}/BuildingElement
Get all the inspection Building Elements (Building Locations)
URI Example
GET Api/External/{culture}/Inspection/{id}/BuildingElement
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| culture |
the current culture |
string |
Required |
| id |
The inspection Id |
integer |
Required |
Body Parameters
None.
Resource Description
List of Building Element Resources
Collection of BuildingElementResource| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| ImageUrl | string |
None. |
|
| ElementTypeId | integer |
None. |
|
| ElementType | string |
None. |
Response Formats
application/json, text/json, application/hal+json
-
[ { "id": 1, "name": "sample string 2", "imageUrl": "sample string 3", "elementTypeId": 4, "elementType": "sample string 5" }, { "id": 1, "name": "sample string 2", "imageUrl": "sample string 3", "elementTypeId": 4, "elementType": "sample string 5" } ]